/**
 * Several functions in this file are based off the html-manager in jupyter-widgets project -
 * https://github.com/jupyter-widgets/ipywidgets/blob/master/packages/html-manager/src/libembed-amd.ts
 */
/**
 * Initialize dependencies that need to be preconfigured for requireJS module loading
 * Here, we define the jupyter-base, controls package that most 3rd party widgets depend on
 */
export declare function initRequireDeps(): void;
/**
 * Overrides the default CDN base URL by querying the DOM for script tags
 * By default, the CDN service used is unpkg.com. However, this default can be
 * overriden by specifying another URL via the HTML attribute
 * "data-jupyter-widgets-cdn" on a script tag of the page.
 */
export declare function overrideCDNBaseURL(): void;
/**
 * Load an amd module from a specified CDN
 *
 * @param moduleName The name of the module to load.
 * @param moduleVersion The semver range for the module, if loaded from a CDN.
 *
 * By default, the CDN service used is unpkg.com. However, this default can be
 * overriden by specifying another URL via the HTML attribute
 * "data-jupyter-widgets-cdn" on a script tag of the page.
 *
 * The semver range is only used with the CDN.
 */
export declare function requireLoader(moduleName: string, moduleVersion: string): Promise<any>;
